Commit 4b4aa729 authored by Volker Krause's avatar Volker Krause
Browse files

Deprecated the old Extractor class as well

Also bump the library version so we can start porting the consumers of
this API.
parent 4309be72
Pipeline #55647 passed with stages
in 12 minutes and 55 seconds
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
# SPDX-License-Identifier: BSD-3-Clause # SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.5 FATAL_ERROR) cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
set(PIM_VERSION "5.17.40") set(PIM_VERSION "5.17.41")
project(KItinerary VERSION ${PIM_VERSION}) project(KItinerary VERSION ${PIM_VERSION})
set(CMAKE_CXX_STANDARD 17) set(CMAKE_CXX_STANDARD 17)
......
...@@ -78,7 +78,7 @@ class ExtractorRepositoryPrivate; ...@@ -78,7 +78,7 @@ class ExtractorRepositoryPrivate;
* script without recompiling or restarting the application. * script without recompiling or restarting the application.
* *
*/ */
class KITINERARY_EXPORT Extractor class KITINERARY_DEPRECATED_EXPORT Extractor
{ {
public: public:
Extractor(); Extractor();
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment